> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Benchmarks.

> List all Benchmarks matching filter.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/benchmarks
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/benchmarks:
    get:
      tags:
        - Benchmark
      summary: List Benchmarks.
      description: List all Benchmarks matching filter.
      operationId: listBenchmarks
      parameters:
        - name: name
          in: query
          description: Filter by name
          allowEmptyValue: true
          schema:
            type: string
        - name: limit
          in: query
          description: The limit of items to return. Default is 20. Max is 5000.
          allowEmptyValue: true
          schema:
            type: integer
            format: int32
        - name: starting_after
          in: query
          description: >-
            Load the next page of data starting after the item with the given
            ID.
          allowEmptyValue: true
          schema:
            type: string
        - name: include_total_count
          in: query
          description: >-
            If true (default), includes total_count in the response. Set to
            false to skip the count query for better performance on large
            datasets.
          allowEmptyValue: true
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenchmarkDefinitionListView'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const benchmarkView of client.benchmarks.list()) {
              console.log(benchmarkView.id);
            }
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.benchmarks.list()
            page = page.benchmarks[0]
            print(page.id)
components:
  schemas:
    BenchmarkDefinitionListView:
      type: object
      properties:
        benchmarks:
          type: array
          items:
            $ref: '#/components/schemas/BenchmarkDefinitionView'
          description: List of Benchmarks matching filter.
        has_more:
          type: boolean
        total_count:
          format: int32
          type:
            - integer
            - 'null'
      required:
        - benchmarks
        - has_more
    BenchmarkDefinitionView:
      type: object
      description: >-
        A BenchmarkDefinitionView represents a grouped set of Scenarios that
        together form a Benchmark.
      properties:
        id:
          type: string
          description: The ID of the Benchmark.
        name:
          type: string
          description: The name of the Benchmark.
        scenarioIds:
          type: array
          items:
            type: string
          description: List of Scenario IDs that make up the benchmark.
        metadata:
          type: object
          additionalProperties:
            type: string
          description: User defined metadata to attach to the benchmark for organization.
        required_environment_variables:
          type: array
          items:
            type: string
          description: >-
            Required environment variables used to run the benchmark. If any
            required environment variables are missing, the benchmark will fail
            to start.
        required_secret_names:
          type: array
          items:
            type: string
          description: >-
            Required secrets used to run the benchmark. If any required secrets
            are missing, the benchmark will fail to start.
        is_public:
          type: boolean
          description: Whether this benchmark is public.
        attribution:
          type: string
          description: Attribution information for the benchmark.
        description:
          type: string
          description: Detailed description of the benchmark.
        status:
          $ref: '#/components/schemas/BenchmarkStatus'
          description: >-
            Whether the benchmark is active or archived. Archived benchmarks are
            excluded from listings and cannot be run.
      required:
        - id
        - name
        - scenarioIds
        - metadata
        - status
    BenchmarkStatus:
      type: string
      enum:
        - active
        - archived
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````